# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`acct`](#acct): GNU Accounting Utilities

#### Private Classes

* `acct::config`: configuration
* `acct::package`: package management
* `acct::service`: service management

### Data types

* [`Acct::Defaults`](#acctdefaults): Default configuration types

## Classes

### <a name="acct"></a>`acct`

GNU Accounting Utilities

#### Parameters

The following parameters are available in the `acct` class:

* [`defaults`](#defaults)
* [`manage_defaults`](#manage_defaults)
* [`package_name`](#package_name)
* [`package_ensure`](#package_ensure)
* [`package_manage`](#package_manage)
* [`service_enable`](#service_enable)
* [`service_name`](#service_name)
* [`service_ensure`](#service_ensure)
* [`service_manage`](#service_manage)

##### <a name="defaults"></a>`defaults`

Data type: `Acct::Defaults`

acct defaults configuration

##### <a name="manage_defaults"></a>`manage_defaults`

Data type: `Boolean`

Manage the acct defaults file (/etc/default/acct)

##### <a name="package_name"></a>`package_name`

Data type: `String[1]`

The package name

##### <a name="package_ensure"></a>`package_ensure`

Data type: `String`

The package ensure state

##### <a name="package_manage"></a>`package_manage`

Data type: `Boolean`

If the package should be managed

##### <a name="service_enable"></a>`service_enable`

Data type: `Boolean`

The service enable state

##### <a name="service_name"></a>`service_name`

Data type: `String[1]`

The service name to use

##### <a name="service_ensure"></a>`service_ensure`

Data type: `Enum['stopped', 'running']`

The service ensure state

##### <a name="service_manage"></a>`service_manage`

Data type: `Boolean`

If the auditd service should be managed

## Data types

### <a name="acctdefaults"></a>`Acct::Defaults`

Default configuration types

Alias of

```puppet
Struct[{
    Optional['enable']  => Boolean,
    Optional['logging'] => Integer,
  }]
```

